// _ComposantPourCollege_Interface.java
// Created on 3 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.elections.nomenclature.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _ComposantPourCollege_Interface extends COFrame {

    /** Creates new form _ComposantPourCollege_Interface */
    public _ComposantPourCollege_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        displayGroupTypeInstance = new org.cocktail.component.CODisplayGroup();
        listeAffichage = new org.cocktail.component.COTable();
        jLabel1 = new javax.swing.JLabel();
        cOComboBox1 = new org.cocktail.component.COComboBox();

        displayGroup.setEntityName("College");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        displayGroupTypeInstance.setEntityName("TypeInstance");
        displayGroupTypeInstance.setHasDelegate(true);

        setControllerClassName("org.cocktail.mangue.client.elections.nomenclature.ComposantPourCollege");
        setSize(new java.awt.Dimension(695, 206));

        listeAffichage.setColumns(new Object[][] {{null,"llCollege",new Integer(0),"Collège",new Integer(0),new Integer(295),new Integer(1000),new Integer(44)}});
        listeAffichage.setDisplayGroupForTable(displayGroup);

        jLabel1.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel1.setText("Type Election");

        cOComboBox1.setDisplayGroupForTitle(displayGroupTypeInstance);
        cOComboBox1.setEnabledMethod("peutSelectionner");
        cOComboBox1.setTitleAttribute("lcTypeInstance");
        cOComboBox1.setTitleForSelection("libelleCurrentType");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(190, 190, 190)
                        .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 315, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(153, 153, 153)
                        .add(jLabel1)
                        .add(18, 18, 18)
                        .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 214, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(190, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(5, 5, 5)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 149, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(21, 21, 21))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COComboBox cOComboBox1;
    public org.cocktail.component.CODisplayGroup displayGroup;
    public org.cocktail.component.CODisplayGroup displayGroupTypeInstance;
    private javax.swing.JLabel jLabel1;
    public org.cocktail.component.COTable listeAffichage;
    // End of variables declaration//GEN-END:variables
                  

}
